/*
export function someAction (context) {
}
*/
import firebase from "firebase/app";

import { firestoreAction } from "vuexfire";

export const setCategoriesRef = firestoreAction(({ bindFirestoreRef }, ref) => {
  return bindFirestoreRef("categories", ref);
});

export const loadAll = ({ dispatch }) => {
  const db = firebase.firestore();

  const all = db.collection("categories").orderBy("id", "asc");

  return dispatch("setCategoriesRef", all);
};
